After update to 1.6 - Meteor stops at "Started MongoDB"


#1

I updated meteor from v1.5.2.2 to v1.6.0.1.

When I start meteor it stops after Starting MongoDB
=> Started proxy.
=> Started MongoDB.

My node version is v6.11.3

Can someone help me?

Thanks :slight_smile:


#2

meteor --verbose

upload your log


#3
=> Started proxy.                             
Local package version is up-to-date: accounts-base@1.4.1
Local package version is up-to-date: accounts-password@1.5.0
Local package version is up-to-date: accounts-ui@1.2.0
Local package version is up-to-date: accounts-ui-unstyled@1.3.0
Local package version is up-to-date: alanning:roles@1.2.16
Local package version is up-to-date: aldeed:autoform@4.2.2
Local package version is up-to-date: aldeed:collection2-core@2.1.0
Local package version is up-to-date: aldeed:delete-button@2.0.0
Local package version is up-to-date: aldeed:simple-schema@1.5.3
Local package version is up-to-date: allow-deny@1.1.0
Local package version is up-to-date: autoupdate@1.3.12
Local package version is up-to-date: babel-compiler@6.24.7
Local package version is up-to-date: babel-runtime@1.1.1
Local package version is up-to-date: base64@1.0.10
Local package version is up-to-date: binary-heap@1.0.10
Local package version is up-to-date: blaze@2.3.2
Local package version is up-to-date: blaze-html-templates@1.1.2
Local package version is up-to-date: blaze-tools@1.0.10
Local package version is up-to-date: boilerplate-generator@1.3.1
Local package version is up-to-date: caching-compiler@1.1.9
Local package version is up-to-date: caching-html-compiler@1.1.2
Local package version is up-to-date: callback-hook@1.0.10
Local package version is up-to-date: cfs:access-point@0.1.49
Local package version is up-to-date: cfs:autoform@2.2.1
Local package version is up-to-date: cfs:base-package@0.0.30
Local package version is up-to-date: cfs:collection@0.5.5
Local package version is up-to-date: cfs:collection-filters@0.2.4
Local package version is up-to-date: cfs:data-man@0.0.6
Local package version is up-to-date: cfs:file@0.1.17
Local package version is up-to-date: cfs:gridfs@0.0.33
Local package version is up-to-date: cfs:http-methods@0.0.32
Local package version is up-to-date: cfs:http-publish@0.0.13
Local package version is up-to-date: cfs:power-queue@0.9.11
Local package version is up-to-date: cfs:reactive-list@0.0.9
Local package version is up-to-date: cfs:reactive-property@0.0.4
Local package version is up-to-date: cfs:standard-packages@0.5.9
Local package version is up-to-date: cfs:storage-adapter@0.2.3
Local package version is up-to-date: cfs:tempstore@0.1.5
Local package version is up-to-date: cfs:ui@0.1.3
Local package version is up-to-date: cfs:upload-http@0.0.20
Local package version is up-to-date: cfs:worker@0.1.4
Local package version is up-to-date: check@1.2.5
Local package version is up-to-date: coffeescript@1.12.7_3
Local package version is up-to-date: coffeescript-compiler@1.12.7_3
Local package version is up-to-date: comerc:autoform-contenteditable2@1.0.3
Local package version is up-to-date: dapearce:material-icons@0.1.5
Local package version is up-to-date: datariot:ganalytics@0.2.1
Local package version is up-to-date: ddp@1.4.0
Local package version is up-to-date: ddp-client@2.2.0
Local package version is up-to-date: ddp-common@1.3.0
Local package version is up-to-date: ddp-rate-limiter@1.0.7
Local package version is up-to-date: ddp-server@2.1.1
Local package version is up-to-date: deps@1.0.12
Local package version is up-to-date: diff-sequence@1.0.7
Local package version is up-to-date: donchess:autoform-froala@0.0.2
Local package version is up-to-date: dynamic-import@0.2.1
Local package version is up-to-date: ecmascript@0.9.0
Local package version is up-to-date: ecmascript-runtime@0.5.0
Local package version is up-to-date: ecmascript-runtime-client@0.5.0
Local package version is up-to-date: ecmascript-runtime-server@0.5.0
Local package version is up-to-date: ejson@1.1.0
Local package version is up-to-date: email@1.2.3
Local package version is up-to-date: erasaur:meteor-lodash@4.0.0
Local package version is up-to-date: es5-shim@4.6.15
Local package version is up-to-date: fastclick@1.0.13
Local package version is up-to-date: fortawesome:fontawesome@4.7.0
Local package version is up-to-date: fourseven:scss@4.5.4
Local package version is up-to-date: froala:editor@1.2.8
Local package version is up-to-date: geojson-utils@1.0.10
Local package version is up-to-date: gwendall:auth-client-callbacks@0.1.0
Local package version is up-to-date: hot-code-push@1.0.4
Local package version is up-to-date: html-tools@1.0.11
Local package version is up-to-date: htmljs@1.0.11
Local package version is up-to-date: http@1.3.0
Local package version is up-to-date: id-map@1.0.9
Local package version is up-to-date: inno:zoom@0.0.2
Local package version is up-to-date: jquery@1.11.10
Local package version is up-to-date: kadira:blaze-layout@2.3.0
Local package version is up-to-date: kadira:flow-router@2.12.1
Local package version is up-to-date: launch-screen@1.1.1
Local package version is up-to-date: less@2.7.11
Local package version is up-to-date: livedata@1.0.18
Local package version is up-to-date: localstorage@1.2.0
Local package version is up-to-date: logging@1.1.19
Local package version is up-to-date: matb33:bootstrap-base@10.0.0
Local package version is up-to-date: matb33:bootstrap-glyphicons@10.0.0
Local package version is up-to-date: materialize:materialize@0.100.2
Local package version is up-to-date: mdg:validation-error@0.5.1
Local package version is up-to-date: meteor@1.8.2
Local package version is up-to-date: meteor-base@1.2.0
Local package version is up-to-date: meteortoys:allthings@4.0.0
Local package version is up-to-date: meteortoys:authenticate@4.0.0
Local package version is up-to-date: meteortoys:autopub@4.0.0
Local package version is up-to-date: meteortoys:blueprint@4.0.0
Local package version is up-to-date: meteortoys:email@4.0.0
Local package version is up-to-date: meteortoys:hotreload@4.0.0
Local package version is up-to-date: meteortoys:listen@4.0.0
Local package version is up-to-date: meteortoys:method@4.0.0
Local package version is up-to-date: meteortoys:mobile@4.0.0
Local package version is up-to-date: meteortoys:pub@4.0.0
Local package version is up-to-date: meteortoys:result@4.0.0
Local package version is up-to-date: meteortoys:shell@4.0.0
Local package version is up-to-date: meteortoys:status@4.0.0
Local package version is up-to-date: meteortoys:sub@4.0.0
Local package version is up-to-date: meteortoys:throttle@4.0.0
Local package version is up-to-date: meteortoys:toggle@4.0.0
Local package version is up-to-date: meteortoys:toykit@4.0.1
Local package version is up-to-date: minifier-css@1.2.16
Local package version is up-to-date: minifier-js@2.2.2
Local package version is up-to-date: minimongo@1.4.3
Local package version is up-to-date: mobile-experience@1.0.5
Local package version is up-to-date: mobile-status-bar@1.0.14
Local package version is up-to-date: modules@0.11.2
Local package version is up-to-date: modules-runtime@0.9.1
Local package version is up-to-date: momentjs:moment@2.20.1
Local package version is up-to-date: mongo@1.3.1
Local package version is up-to-date: mongo-dev-server@1.1.0
Local package version is up-to-date: mongo-id@1.0.6
Local package version is up-to-date: mongo-livedata@1.0.12
Local package version is up-to-date: mrt:flash-messages@1.0.1
Local package version is up-to-date: mrt:iframe@0.0.3
Local package version is up-to-date: msavin:jetsetter@4.0.0
Local package version is up-to-date: msavin:mongol@4.0.1
Local package version is up-to-date: npm-bcrypt@0.9.3
Local package version is up-to-date: npm-mongo@2.2.33
Local package version is up-to-date: observe-sequence@1.0.16
Local package version is up-to-date: ordered-dict@1.0.9
Local package version is up-to-date: promise@0.10.0
Local package version is up-to-date: raix:eventemitter@0.1.3
Local package version is up-to-date: raix:handlebar-helpers@0.2.5
Local package version is up-to-date: raix:ui-dropped-event@0.0.7
Local package version is up-to-date: random@1.0.10
Local package version is up-to-date: rate-limit@1.0.8
Local package version is up-to-date: reactive-dict@1.2.0
Local package version is up-to-date: reactive-var@1.0.11
Local package version is up-to-date: reload@1.1.11
Local package version is up-to-date: retry@1.0.9
Local package version is up-to-date: routepolicy@1.0.12
Local package version is up-to-date: service-configuration@1.0.11
Local package version is up-to-date: session@1.1.7
Local package version is up-to-date: sha@1.0.9
Local package version is up-to-date: shell-server@0.3.1
Local package version is up-to-date: softwarerero:accounts-t9n@1.3.11
Local package version is up-to-date: spacebars@1.0.15
Local package version is up-to-date: spacebars-compiler@1.1.3
Local package version is up-to-date: spiderable@1.0.13
Local package version is up-to-date: srp@1.0.10
Local package version is up-to-date: standard-minifier-css@1.3.5
Local package version is up-to-date: standard-minifier-js@2.2.3
Local package version is up-to-date: stolinski:stylus-multi@1.4.3
Local package version is up-to-date: templating@1.3.2
Local package version is up-to-date: templating-compiler@1.3.3
Local package version is up-to-date: templating-runtime@1.3.2
Local package version is up-to-date: templating-tools@1.1.2
Local package version is up-to-date: tmeasday:check-npm-versions@0.3.1
Local package version is up-to-date: tracker@1.1.3
Local package version is up-to-date: ui@1.0.13
Local package version is up-to-date: underscore@1.0.10
Local package version is up-to-date: url@1.1.0
Local package version is up-to-date: useraccounts:core@1.14.2
Local package version is up-to-date: useraccounts:unstyled@1.14.2
Local package version is up-to-date: vazco:universe-autoform-select@0.1.18
Local package version is up-to-date: webapp@1.4.0
Local package version is up-to-date: webapp-hashing@1.0.9
Local package version is up-to-date: zimme:active-route@2.3.2
=> Started MongoDB.                           
W20180102-15:51:12.477(1)? (STDERR) Note: you are using a pure-JavaScript implementation of bcrypt.
W20180102-15:51:12.521(1)? (STDERR) While this implementation will work correctly, it is known to be
W20180102-15:51:12.522(1)? (STDERR) approximately three times slower than the native implementation.
W20180102-15:51:12.522(1)? (STDERR) In order to use the native implementation instead, run
W20180102-15:51:12.522(1)? (STDERR) 
W20180102-15:51:12.522(1)? (STDERR)   meteor npm install --save bcrypt
W20180102-15:51:12.523(1)? (STDERR) 
W20180102-15:51:12.523(1)? (STDERR) in the root directory of your application.

#4

try meteor reset first,
if it still doesnโ€™t work

try a different port

meteor -p 8901 --verbose


#5

Nope their are no changes.

but if i do meteor update --all-packages I get thoose errors. May these are the reason?

This project is already at Meteor 1.6.0.1, the latest release.
                                              
Changes to your project's package version selections from updating package versions:
                                              
coffeescript           downgraded from 1.12.7_3 to 1.12.6_1
coffeescript-compiler  removed from your project

                                              
The following top-level dependencies were not updated to the very latest version available:
 * aldeed:autoform 4.2.2 (6.2.0 is available) 
 * comerc:autoform-contenteditable2 1.0.3 (1.0.4 is available)
 * vazco:universe-autoform-select 0.1.18 (0.4.1 is available)
                                              
Newer versions of the following indirect dependencies are available:
 * coffeescript 1.12.6_1 (2.0.3_1 is available)
 * froala:editor 1.2.8 (2.7.3 is available)   
 * softwarerero:accounts-t9n 1.3.11 (2.0.3 is available)
These versions may not be compatible with your project.
To update one or more of these packages to their latest
compatible versions, pass their names to `meteor update`,
or just run `meteor update --all-packages`.

#6

I have exactly the same problem, updating from 1.5.2.2 to 1.6, hangs after => Started MongoDB
Just before I had a MongoError: not master and slaveOk=false error message
Now it is not printed anymore